/**
 * 服务项
 * 
 */
$(document).ready(function(){
	// 初始化加载项目
	$.ajax({
		type : 'POST',
		url : '../servicePack/queryServiceList',
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#servicePackId").empty();
			var subs = data.list;// 获取data中list的数组
			var _array = [];
//			_array.push("<option value=''>--请选择--</option>");
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#servicePackId").html(_array.join(""));
			}
			$("#servicePackId").html(_array.join(""));
			
			var servicePackId = $("#servicePackId").val();
			if(servicePackId == null || servicePackId == ''){
				//初始化预定数据
				initListInfo(1);
				return;
			}
			
			// 根据服务项加载商品分类类型
			$.ajax({
				type : 'POST',
				url : '../servicePack/queryCategoriesList',
				data:{"serviceId":servicePackId},
				dataType : 'json',// 返回值类型 一般设置为json
				success : function(data) // 服务器成功响应处理函数
				{
					$("#serviceCategoriesId").empty();
					var subs = data.list;// 获取data中list的数组
					var _array = [];
					_array.push("");
					for ( var i = 0; i < subs.length; i++) {
						_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
						$("#serviceCategoriesId").html(_array.join(""));
					}
					$("#serviceCategoriesId").html(_array.join(""));
					
					//初始化预定数据
					initListInfo(1);
				}
			
			});
			
		}
	
	});
	
	//查询
	$("#btn-search").click(function(){
		initListInfo(1);
	});
	var cxtPath = $("#cxtPath").val();
	
});

//跳转编辑
function toAddServicePackDetails(id){
	var servicePackId = $("#servicePackId").val();//服务项id
	window.location.href="../servicePack/toAddServicePackDetails?id="+id+"&servicePackId="+servicePackId;
}

//删除
function deleteServicePackDetails(id){
	var servicePackId = $("#servicePackId").val();//商品id
	window.location.href="../servicePack/deleteServicePackDetails?id="+id;
}

function queryCategoriesList(){
	var servicePackId = $("#servicePackId").val();
	if(servicePackId == null || servicePackId == ''){
		alert("请选择服务项");
		return;
	}
	// 根据服务项加载商品分类类型
	$.ajax({
		type : 'POST',
		url : '../servicePack/queryCategoriesList',
		data:{"serviceId":servicePackId},
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#serviceCategoriesId").empty();
			var subs = data.list;// 获取data中list的数组
			var _array = [];
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#serviceCategoriesId").html(_array.join(""));
			}
			$("#serviceCategoriesId").html(_array.join(""));
		}
	
	});
}

function initListInfo(pageNo){
	var pageNo = $("#pageNo").val();
	if(pageNo == null || pageNo == ''){
		pageNo = 1;
	}
	var servicePackId = $("#servicePackId").val();//服务项id
	var name = $("#name").val();
	var startTime = $("#startTime").val();
	var endTime = $("#endTime").val();
	var belongId = $("#belongId").val();
	
	//初始化加载
	$.ajax({
		type:'POST',
		url:'../servicePack/listDetailsInfo',
		data:{"pageNo":pageNo,"servicePackId":servicePackId,"name":name,"startTime":startTime,"endTime":endTime,"belongId":belongId},
		dataType: 'html',//返回值类型 设置为html
		success: function (data)  //服务器成功响应处理函数
		{
            $("#servicePackDetailsListInfo").html(data);
		}
	});
	
}
